
From: Adrian Bunk <bunk@stusta.de>

The patch below does the following changes to 
drivers/char/generic_serial.c :
- make two needlessly global functions static
- remove the completely unused EXPORT_SYMBOL'ed function gs_do_softint

AFAIR the latter should be safe, since drivers are moving away from
generic_serial.c.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/generic_serial.c  |   26 ++------------------------
 25-akpm/include/linux/generic_serial.h |    1 -
 2 files changed, 2 insertions(+), 25 deletions(-)

diff -puN drivers/char/generic_serial.c~small-char-generic_serialc-cleanup-fwd drivers/char/generic_serial.c
--- 25/drivers/char/generic_serial.c~small-char-generic_serialc-cleanup-fwd	2004-11-17 00:33:49.751035976 -0800
+++ 25-akpm/drivers/char/generic_serial.c	2004-11-17 00:33:49.757035064 -0800
@@ -279,7 +279,7 @@ int gs_chars_in_buffer(struct tty_struct
 }
 
 
-int gs_real_chars_in_buffer(struct tty_struct *tty)
+static int gs_real_chars_in_buffer(struct tty_struct *tty)
 {
 	struct gs_port *port;
 	func_enter ();
@@ -457,7 +457,7 @@ void gs_start(struct tty_struct * tty)
 }
 
 
-void gs_shutdown_port (struct gs_port *port)
+static void gs_shutdown_port (struct gs_port *port)
 {
 	unsigned long flags;
 
@@ -511,27 +511,6 @@ void gs_hangup(struct tty_struct *tty)
 }
 
 
-void gs_do_softint(void *private_)
-{
-	struct gs_port *port = private_;
-	struct tty_struct *tty;
-
-	func_enter ();
-
-	if (!port) return;
-
-	tty = port->tty;
-
-	if (!tty) return;
-
-	if (test_and_clear_bit(RS_EVENT_WRITE_WAKEUP, &port->event)) {
-		tty_wakeup(tty);
-		wake_up_interruptible(&tty->write_wait);
-	}
-	func_exit ();
-}
-
-
 int gs_block_til_ready(void *port_, struct file * filp)
 {
 	struct gs_port *port = port_;
@@ -996,7 +975,6 @@ EXPORT_SYMBOL(gs_flush_chars);
 EXPORT_SYMBOL(gs_stop);
 EXPORT_SYMBOL(gs_start);
 EXPORT_SYMBOL(gs_hangup);
-EXPORT_SYMBOL(gs_do_softint);
 EXPORT_SYMBOL(gs_block_til_ready);
 EXPORT_SYMBOL(gs_close);
 EXPORT_SYMBOL(gs_set_termios);
diff -puN include/linux/generic_serial.h~small-char-generic_serialc-cleanup-fwd include/linux/generic_serial.h
--- 25/include/linux/generic_serial.h~small-char-generic_serialc-cleanup-fwd	2004-11-17 00:33:49.752035824 -0800
+++ 25-akpm/include/linux/generic_serial.h	2004-11-17 00:33:49.758034912 -0800
@@ -82,7 +82,6 @@ void gs_flush_chars(struct tty_struct *t
 void gs_stop(struct tty_struct *tty);
 void gs_start(struct tty_struct *tty);
 void gs_hangup(struct tty_struct *tty);
-void gs_do_softint(void *private_);
 int  gs_block_til_ready(void *port, struct file *filp);
 void gs_close(struct tty_struct *tty, struct file *filp);
 void gs_set_termios (struct tty_struct * tty, 
_
